Subject: Re: bug#60627: emacs-nadvice package do not generate autoload file.

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 04 Oct 2023 11:50:31 +0200

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Nicolas Goaziou <[email-masked]> writes:
>
>> Hello,
>>
>> Feng Shu <[email-masked]> writes:
>>
>>> Nicolas Goaziou <[email-masked]> writes:
>>
>>>> To properly fix this, as the next step, I'm leaning towards removing
>>>> emacs-nadvice package altogether. It is not useful in Guix since we
>>>> provide Emacs 28+.
>>>
>>> agree :-)
>>
>> I'm CC'ing Phodina, since he introduced the package.
>>
>> Phodina: Do you think there is a reason to keep Emacs Nadvice package
>> around?
>
> 38 weeks later, I think you can proceed with the removal and close this
> issue :-)

I know, but it seems the issue apparently disappeared when we updated
nadvice from 0.3 to 0.4, so I lazily opted for status quo while waiting
for an answer.

So, nowadays, I think it doesn't matter much if we remove the package or
not. I'll simply close this bug report unless other issues arise.

Thanks for the heads-up!

Regards,
-- 
Nicolas Goaziou